/**
 * 这是与购物有关的业务逻辑的服务
 */
export default class ShopService {
	constructor(AjaxService) {
		Object.assign(this, { AjaxService })
		this.name = 'ShopService'
	}
	/* 小程序发货-权限控制 */
	MiniShipments (data = {}) {
		return this.AjaxService.post({ url:'/supplier/miniShipments', data, isLoading: true })
	}
	/* 小程序发货-查询供应商子订单详情 */
	GetShopOrderDetails (data = {}) {
		return this.AjaxService.get({ url:'/supplier/shopOrderDetails', data, isLoading: true })
	}
	/* 小程序发货-绑供应商运营人员 */
	BindShopOperator (data = {}) {
		return this.AjaxService.post({ url:'/supplier/shopBindingWx', data, isLoading: true })
	}
	/* 小程序发货-供应商订单详情获取订单分享码 */
	ShopOrderShareCode (data = {}) {
		return this.AjaxService.post({ url:'/supplier/shopShareShipments', data, isLoading: false })
	}
	/* 小程序发货-供应商订单发货商品查询 */
	ShopOrderShipmentsInfo (data = {}) {
		return this.AjaxService.get({ url:'/supplier/shipmentsInfo', data, isLoading: true })
	}
	/* 小程序发货-物流公司查询 */
	GetLogisticsCompany (data = {}) {
		return this.AjaxService.get({ url:'/supplier/logisticsCompany', data, isLoading: true })
	}
	/* 小程序发货-查看发货记录物流信息 */
	GetLogisticsInfo (data = {}) {
		return this.AjaxService.get({ url:'/supplier/logisticsInfo', data, isLoading: true })
	}
	/* 小程序发货-查看发货记录-添加物流 */
	ShopAddLogisticsInfo (data = {}) {
		return this.AjaxService.post({ url:'/supplier/addLogisticsInfo', data, isLoading: true })
	}
	/* 小程序发货-扫码获取物流公司信息 */
	GetExpressInformation (data = {}) {
		return this.AjaxService.get({ url:'/supplier/scanLogistics', data, isLoading: false })
	}
	/* 小程序发货-确认发货 */
	ShopAddLogistics (data = {}) {
		return this.AjaxService.post({ url:'/supplier/addLogistics', data, isLoading: true })
	}
	/* 小程序发货-发货记录 */
	ShopShipmentsRecord (data = {}) {
		return this.AjaxService.get({ url:'/supplier/shipmentsRecord', data, isLoading: true })
	}
	/* 小程序发货-撤销发货 */
	ShopCancelShipment (data = {}) {
		return this.AjaxService.post({ url:'/supplier/cancelShipment', data, isLoading: true })
	}
}
